# Functor Binable0.Of_binable1

    module Of_binable1: functor (Binable : S1) -> functor (M : sig
    type 'a t

    val to_binable : 'a t -> 'a Binable.t
    val of_binable : 'a Binable.t -> 'a tend) -> Bin_prot.Utils.Make_binable1(sig
    module Binable: Binable
    include M
    end)

Parameters:

`Binable` | : | `S1`
`M` | : | `sig type 'a t val to_binable : 'a t -> 'a Binable.t val of_binable : 'a Binable.t -> 'a t end`